Hooks:PostHook( WeaponFactoryTweakData, "init", "DokkaM14ModInit", function(self)

	self.parts.wpn_fps_ass_m14_body_goblin.override_weapon = {
		AMMO_MAX = 80,
		fire_mode_data = {
			fire_rate = 60 / 450
		}
	}
	
	--Ironsight stance for dokka receiver
	self.parts.wpn_fps_ass_m14_o_goblin.stance_mod = {
		wpn_fps_ass_m14 = {
			translation = Vector3(0, -10, 0)
		}
	}		
	--Stance correction for a_o_dokka sights
	self.parts.wpn_fps_ass_m14_body_goblin.stance_mod = {
		wpn_fps_ass_m14 = {
			translation = Vector3(0, 10, 0)
		}
	}
	
	
	--Override vanilla M14 parts and optic position	
    for i, sight_id in ipairs(self.wpn_fps_ass_m14.uses_parts) do
        if ( self.parts[sight_id].type == "sight" ) then
            self.parts[sight_id].override = self.parts[sight_id].override or {}
			self.parts.wpn_fps_ass_m14_body_goblin.override[sight_id] = { a_obj = "a_o_dokka" }
            self.parts.wpn_fps_ass_m14_body_goblin.override[sight_id] = self.parts.wpn_fps_ass_m14_body_goblin.override[sight_id] or {}
            self.parts.wpn_fps_ass_m14_body_goblin.override[sight_id].override = self.parts.wpn_fps_ass_m14_body_goblin.override[sight_id].override or {}
            self.parts.wpn_fps_ass_m14_body_goblin.override[sight_id].override.wpn_fps_ass_m14_o_goblin = {
                stance_mod = {
                    wpn_fps_ass_m14 = {
                        translation = Vector3(0, 0, 0)
                    }
                }
            }
        end
    end
	
	
	--[[
		,
			stance_mod = {wpn_fps_ass_m14 = {translation = Vector3(-0.03, 0, -3.75)}}
	]]
	
end )